package com.fzm.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author tangtuo
 * @date 2021/12/9 17:42
 */
@Getter
@AllArgsConstructor
public enum AuthorityTypeEnum {


    PERSONAL(0, "个人作品"),
    COOPERATION(1, "合作作品"),
    LEGAL(2, "法人作品"),
    POST(3, "职务作品"),
    ENTRUST(4, "委托作品"),
    ;

    private int code;
    private String val;

    public static int getByType(String type) {
        for (AuthorityTypeEnum value : AuthorityTypeEnum.values()) {
            if (value.getVal().equals(type)) {
                return value.getCode();
            }
        }
        return 0;
    }
}
