package com.fzm.common.enums;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author tangtuo
 * @date 2021/12/8 16:06
 */
@Getter
@AllArgsConstructor
public enum OpusProperty {

    ORIGINAL("原创"),
    ADAPTATION("改编"),
    TRANSLATE("翻译"),
    ASSEMBLY("汇编"),
    NOTES("注释"),
    ARRANGEMENT("整理"),
    OTHER("其他"),
    ;
    private String value;

    public static List<String> queryAll(){
        return Arrays.stream(OpusProperty.values()).map(OpusProperty::getValue).collect(Collectors.toList());
    }

    public static void main(String[] args) {
        System.out.println(queryAll());
    }
}
