package com.fzm.portal.controller;

import com.fzm.common.annotation.Authentication;
import com.fzm.common.entity.dto.CopyrightDTO;
import com.fzm.common.model.ResponseModel;
import com.fzm.common.service.CopyrightApplyService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author tangtuo
 * @date 2021/12/9 14:31
 */
@Authentication
@RestController
@Api(tags = "版权申请")
@RequestMapping("/copyright/apply")
public class CopyrightApplyController {

    @Resource
    private CopyrightApplyService copyrightApplyService;

    @PostMapping("/submit")
    @ApiModelProperty("/提交申请")
    public ResponseModel<Integer> submit(@RequestBody CopyrightDTO copyrightDTO) {
        Integer copyrightId = copyrightApplyService.submit(copyrightDTO);
        return ResponseModel.success(copyrightId);
    }
}
